#include "Sequencer.h"
#include "Player.h"

Player::Player(midi::Output* out, const midi::BeatSequence* sequence, Sequencer& seq)
    : midi::BeatSequencePlayer(out, sequence), sequencer(seq)
{
}

void Player::beforeBeat(BeatIndex beat)
{
    sequencer.playbackScreen.beforeBeat(beat); 
}

void Player::afterBeat(BeatIndex beat)
{
    sequencer.playbackScreen.afterBeat(beat); 
}

