#include "Sequencer.h"
#include "Screen.h"

Screen::Screen(Sequencer& seq)
    : sequencer(seq)
{
}

void Screen::enable()
{
    refreshAll();
    parent::enable();
}

void Screen::refreshAll()
{
    for(unsigned char x = 0; x < midi::Launchpad::width; x++) {
        for(unsigned char y = 0; y < midi::Launchpad::height; y++) {
            if(x != 8 || y != 8) {
                refresh(x, y);
            }
        }
    }
}
