#pragma once
#include "BeatSequence.h"
#include "midi/LaunchpadScreen.h"

class Sequencer;

class Screen : public midi::LaunchpadScreen
{
    typedef midi::LaunchpadScreen parent;

public:
    
    typedef BeatSequence::BeatIndex BeatIndex;

    Sequencer& sequencer;

    Screen(Sequencer& seq);
    void enable();

protected:

    virtual void refresh(unsigned char x, unsigned char y) = 0;
    void refreshAll();

};
